__doc__="""Znolk DB Wizard

This product guides the user to create forms and methods to input data 
to a Database

See doc strings in Wizard.py for more info
"""
import Wizard
import BlueWire


classes = ('Wizard.Wizard',)

meta_types=(
    {'name': 'Znolk SQL Wizard',
     'action': 'manage_startZSWizard',
     },
    )

methods={
    'manage_startZSWizard': Wizard.manage_startWizard,
    'manage_createZSWizard': Wizard.manage_createWizard,
    'implementedSQLConnectionIDs': Wizard.implementedSQLConnectionIDs,
    'downloadRecords':BlueWire.downloadRecords,         
    'uploadRecords':BlueWire.uploadRecords,         
    'exportSQLData':BlueWire.exportSQLData,         
    'testBlueZip':BlueWire.testBlueZip,
    'testBlueZip1':BlueWire.testBlueZip1,
    
    }


__ac_permissions__=(
    ('Use SQL Wizard', ('manage_startZSWizard', 'manage_createZSWizard')),
    )
 
